#
# spec file for package python-libarchive
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define oldpython python
Name:           python-libarchive
Version:        0.4.7
Release:        bp154.1.26
Summary:        Python adapter for universal, libarchive-based archive access
License:        GPL-2.0-only
URL:            https://github.com/dsoprea/PyEasyArchive
Source:         https://files.pythonhosted.org/packages/source/l/libarchive/libarchive-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  libarchive-devel
BuildRequires:  python-rpm-macros
Requires:       libarchive-devel
Conflicts:      python-libarchive-c
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module nose}
# /SECTION
%ifpython2
Conflicts:      %{oldpython}-libarchive-c
%endif
%python_subpackages

%description
A ctypes-based adapter to libarchive.
7-Zip is supported for both reading and writing.

%prep
%setup -q -n libarchive-%{version}

%build
%python_build

%check
# https://github.com/dsoprea/PyEasyArchive/issues/33
export LANG=en_US.UTF8
%python_expand nosetests-%{$python_bin_suffix} -v -e test_read_symlinks

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue Mar  3 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix build on older releases
* Wed Jul 24 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.4.7:
  * no upstream changelog
* Tue Apr  9 2019 pgajdos@suse.com
- version update to 0.4.6
  * types/archive_entry: Added some utilities and tests.
  * documentation: Added coverage badge.
  * Encode filenames to bytes when write and decode when reading. Fixes #12.
  * testing: Reimplemented tests as proper unit-tests.
  * Added Travis config.
  * documentation: Added build badge.
  * adapters/archive_write: Create now returns a list rather than generator.
  * Prevents users from always having to flatten the response.
  * Merge pull request #17 from elopio/patch-1
  * Fix the link to nose
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Fri May 18 2018 toddrme2178@gmail.com
- Update to 0.4.5
  * packaging: Now package LICENSE file.
- Separate LICENSE file no longer needed
- Conflict with python-libarchive-c
* Fri May 18 2018 jengelh@inai.de
- Ensure neutrality and relevance of descriptions.
* Wed May 16 2018 toddrme2178@gmail.com
- Update to 0.4.4
  * Made library-find more robust.
  * Update archive_entry.py
  * Added a note about encryption support. Removed tasks.
  * Added octal specifier to archive entry fields
  * Library path is now overridable.
  * Added mtime to entry.
  * Moved API to sepcific module. Modernized setup.
- Implement single-spec version
* Thu Aug  1 2013 hpj@urpla.net
- add patch to use unittest2, if available in order to support
  testing with Python < 2.7
* Wed Jul 31 2013 hpj@urpla.net
- version 3.1.2: initial build
